Description

Currently "Spent Time" and "Estimated Time" entries are shown as decimal numbers.

If time entry contains e.g. 1 hour and 15 minutes then 1.25 is displayed on all pages where this time entry is displayed. This is rather

not very user friendly because user thinks in "hours and minutes".

This patch modifies how time entries are formatted before they get displayed.

Related issues:

Related to Redmine - Feature #1184: time-display Closed 2008-05-06

Related to Redmine - Feature #877: ability to vary the units used to track time New 2008-03-17

Related to Redmine - Feature #6833: Spent time in a configurable unit New 2010-11-04

Related to Redmine - Feature #23996: Introduce a setting to change the displa... Closed

History

#1 - 2010-03-08 13:48 - Vladimir Kovacik

Patch affects the following pages (and perhaps others):

Issue/Issues

My Page > Spent time

Project > Report

Roadmap

time_entries_displayed_human_readable_v1.0.patch formats time entry 1.25 as "1h 15m".

Symbols 'h', 'm' are hardcoded in i18n.rb and probably subjects for internationalisation.

#2 - 2010-03-08 16:06 - Vladimir Kovacik

Forgot to mention that time_entries_displayed_human_readable_v1.0.patch applies to Redmine 0.9.2

#3 - 2010-03-22 21:29 - Mischa The Evil

- Priority changed from Low to Normal

Issue-relations added from issues #877 and #1184.

#4 - 2012-09-26 01:29 - Tobias Eigen

was this applied to redmine? I am interested in having time displayed in hours and minutes, as well as having the input be in hours and minutes as

well. However, I am not seeing time displayed in the way you describe on my redmine site (1.2.2.stable). I see it in decimal format.

#5 - 2012-11-08 18:05 - Rick Mason

+1 for this

#6 - 2013-01-07 11:07 - Kevin Labécot

+1 too... Any news?

#7 - 2013-07-31 14:39 - Dmitry Beloglazov

+1

It would be really handy to be able to choose the display format. Decimal time is something very uncommon.

#8 - 2014-11-11 15:56 - Nils Wiegand

Is there any way to use this patch on Redmine 2.6.0.stable.

I want install the patch but the files not available.
Who can help ?

Edit: Or can i configure the spent time to human readable ?

#9 - 2015-04-09 14:58 - Go MAEDA

- Related to Feature #6833: Spent time in a configurable unit added

#10 - 2016-11-22 01:57 - Mischa The Evil

- Related to Feature #23996: Introduce a setting to change the display format of timespans to HH:MM added

#11 - 2016-11-22 02:04 - Mischa The Evil

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

This patch has been superseded by #23996.

Files

time_entries_displayed_human_readable_v1.0.patch 3.2 KB 2010-03-08 Vladimir Kovacik
